Bug 835693 - [Agent RPM] Uninstall does not remove preferences folder and xml configuration file
[Agent RPM] Uninstall does not remove preferences folder and xml configuratio...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Agent (Show other bugs)
JON 3.1.0
Unspecified Unspecified
high Severity high
: ---
: JON 3.1.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 837381
  Show dependency treegraph
 
Reported: 2012-06-26 16:42 EDT by Zhengping Jin
Modified: 2013-09-11 07:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 07:03:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhengping Jin 2012-06-26 16:42:30 EDT
Description of problem:
Once agent has been running, the agent will create files in /var/log/jboss-on/agent and /var/lib/agent, which will not be deleted after uninstall.
On the contray, the config file will be /etc/jboss-on/agent/agent-configuration.xml. 
Please modify this procedure.

Version-Release number of selected component (if applicable): 3.1.0


How reproducible: 100%


Steps to Reproduce:
1. install the agent: rpm -i *.rpm
2. run the agent: service jon-agent start
3. uninstall the agent: rpm -e *
  
Actual results:
Files in /var/log/jboss-on/agent and in folder /var/lib/agent will be kept, but 
/etc/jboss-on/agent/agent-configuration.xml will be deleted.

Expected results:
keep the configurations and logs, remove unrelated files

Additional info:
Comment 1 Mike Foley 2012-07-02 11:21:28 EDT
bz triage 7/2 stefan, loleary, asantos, armine, zjin, viet.

some development activity here to do per discussion.

logs should survive
some question on data file
policy on configuration retention
Comment 2 Stefan Negrea 2012-07-03 18:21:58 EDT
The retention policy on the following files/folders should be updated to:
1) /var/log/jboss-on/agent - Keep
2) /etc/jboss-on/agent/agent-configuration.xml - Retain if modified


Further investigation is required for /var/lib/agent folder.
Comment 3 Stefan Negrea 2012-07-10 11:43:24 EDT
Updated retention policy for state directory and agent configuration xml.

The agent has now the following retention policy:
1) State directory - removed by %postun script only on uninstallation, preserved on upgrades
2) agent-configuration.xml- %config(noreplace)
3) Log files - preserved forever
Comment 4 Zhengping Jin 2012-07-19 12:15:18 EDT
http://download.devel.redhat.com/brewroot/work/tasks/4773/4614773/jboss-on-agent-3.1.0.GA-8.el6_3.noarch.rpm

1) verified
2) this feature is prepared for the future upgrade, only codewalk verified.
3) verified

Note You need to log in before you can comment on or make changes to this bug.